AccessibleHypertext Interface
3
AT-SPI-CSPI Library

# AccessibleHypertext Interface

## Synopsis

    void                AccessibleHypertext_ref             (AccessibleHypertext *obj);
    void                AccessibleHypertext_unref           (AccessibleHypertext *obj);
    long                AccessibleHypertext_getNLinks       (AccessibleHypertext *obj);
    AccessibleHyperlink* AccessibleHypertext_getLink        (AccessibleHypertext *obj,
                                                             long int linkIndex);
    long                AccessibleHypertext_getLinkIndex    (AccessibleHypertext *obj,
                                                             long int characterOffset);

## Description

## Details

### AccessibleHypertext_ref ()

    void                AccessibleHypertext_ref             (AccessibleHypertext *obj);

Increment the reference count for an AccessibleHypertext object. Since AccessibleHypertext is derived from AccessibleText, this is the same as `AccessibleText_unref()`.

`obj` :

  a pointer to the AccessibleHypertext object on which to operate.

### AccessibleHypertext_unref ()

    void                AccessibleHypertext_unref           (AccessibleHypertext *obj);

Decrement the reference count for an AccessibleHypertext object. Since AccessibleHypertext is derived from AccessibleText, this is the same as `AccessibleText_unref()`.

`obj` :

  a pointer to the AccessibleHypertext object on which to operate.

### AccessibleHypertext_getNLinks ()

    long                AccessibleHypertext_getNLinks       (AccessibleHypertext *obj);

Get the total number of AccessibleHyperlinks which an AccessibleHypertext implementor has.

`obj` :

  a pointer to the AccessibleHypertext implementor on which to operate.

Returns :

  a long indicating the number of AccessibleHyperlinks of the AccessibleHypertext implementor, or -1 if the number cannot be determined (for example, if the AccessibleHypertext object is so large that it is not all currently in the memory cache).

### AccessibleHypertext_getLink ()

    AccessibleHyperlink* AccessibleHypertext_getLink        (AccessibleHypertext *obj,
                                                             long int linkIndex);

Get the AccessibleHyperlink object at a specified index.

`obj` :

  a pointer to the AccessibleHypertext implementor on which to operate.

`linkIndex` :

  a (zero-index) long integer indicating which hyperlink to query.

Returns :

  the AccessibleHyperlink object specified by linkIndex.

### AccessibleHypertext_getLinkIndex ()

    long                AccessibleHypertext_getLinkIndex    (AccessibleHypertext *obj,
                                                             long int characterOffset);

Get the index of the AccessibleHyperlink object at a specified character offset.

`obj` :

  a pointer to the AccessibleHypertext implementor on which to operate.

`characterOffset` :

  an integer specifying the character offset to query.

Returns :

  the linkIndex of the AccessibleHyperlink active at character offset `characterOffset`, or -1 if there is no hyperlink at the specified character offset.